Skip to main content
GET
/
accounts
/
{account_id}
/
transfers
Get all transfers for a given account
curl --request GET \
  --url https://api.brale.xyz/accounts/{account_id}/transfers \
  --header 'Authorization: Bearer <token>'
[
  {
    "status": "pending",
    "amount": {
      "value": "11234.88",
      "currency": "USD"
    },
    "created_at": "2025-02-05T19:39:14.316Z",
    "updated_at": "2025-02-05T19:39:14.316Z",
    "source": {
      "value_type": "USD",
      "transfer_type": "wire",
      "address_id": "2VcUIIsgARwVbEGlIYbhg6fGG57"
    },
    "destination": {
      "value_type": "USD",
      "transfer_type": "wire",
      "address_id": "2VcUIIsgARwVbEGlIYbhg6fGG57"
    }
  }
]
Use the playground below to try this endpoint directly, or review the OpenAPI details in the right panel.

Authorizations

Authorization
string
header
required

Use the Bearer token returned from the Auth endpoint via OAuth2 client_credentials flow. Include the token in the "Authorization: Bearer " header.

Path Parameters

account_id
string<ksuid>
required

The ID of the account

Pattern: ^[a-zA-Z0-9]{26}$
Example:

"2VcUIIsgARwVbEGlIYbhg6fGG57"

Query Parameters

page[size]
integer

The number of transfers to return

Required range: 1 <= x <= 100
page[next]
string

Cursor for the next page (value returned in pagination.next)

page[prev]
string

Cursor for the previous page (value returned in pagination.prev)

Response

200 - */*

A list of transfers

status
enum<string>

Lifecycle stage of the transfer

Available options:
pending,
processing,
complete,
canceled
Example:

"pending"

amount
Amount · object

Monetary value with explicit currency

created_at
string<date-time>
Example:

"2025-02-05T19:39:14.316Z"

updated_at
string<date-time>
Example:

"2025-02-05T19:39:14.316Z"

source
TransferEndpoint · object
destination
TransferEndpoint · object